curl --request POST \
--url https://api.example.com/api/ai/chat/completion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "openai/gpt-4",
"messages": [
{
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>"
}
],
"stream": false,
"temperature": 1,
"maxTokens": 123,
"topP": 0.5,
"thinking": true,
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"parallelToolCalls": true
}
'import requests
url = "https://api.example.com/api/ai/chat/completion"
payload = {
"model": "openai/gpt-4",
"messages": [
{
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>"
}
],
"stream": False,
"temperature": 1,
"maxTokens": 123,
"topP": 0.5,
"thinking": True,
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"parallelToolCalls": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'openai/gpt-4',
messages: [
{
content: '<string>',
tool_calls: [
{
id: '<string>',
type: 'function',
function: {name: '<string>', arguments: '<string>'}
}
],
tool_call_id: '<string>'
}
],
stream: false,
temperature: 1,
maxTokens: 123,
topP: 0.5,
thinking: true,
tools: [
{
type: 'function',
function: {name: '<string>', description: '<string>', parameters: {}}
}
],
parallelToolCalls: true
})
};
fetch('https://api.example.com/api/ai/chat/completion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"annotations": [
{
"type": "url_citation",
"urlCitation": {
"url": "<string>",
"title": "<string>",
"content": "<string>",
"startIndex": 123,
"endIndex": 123
}
}
],
"metadata": {
"model": "<string>",
"usage": {
"promptTokens": 123,
"completionTokens": 123,
"totalTokens": 123
}
}
}Generate chat completion (deprecated)
Deprecated compatibility proxy. New integrations should call https://openrouter.ai/api/v1/chat/completions directly with the provisioned OpenRouter key.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
OpenRouter model identifier
"openai/gpt-4"
Array of messages for conversation (supports text, images, audio, and files/PDFs)
Show child attributes
Show child attributes
Enable streaming response via Server-Sent Events
Controls randomness in generation
0 <= x <= 2Maximum number of tokens to generate
Nucleus sampling parameter
0 <= x <= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Enable extended reasoning capabilities (appends :thinking to model ID if not already present). Not every model supports this, only works with Anthropic models with the :thinking suffix.
Tool definitions for function calling
Show child attributes
Show child attributes
Controls tool usage: auto, none, required, or a specific function
auto, none, required Allow the model to call multiple tools in parallel
Response
Chat completion response
Was this page helpful?